com::lomiri::location::providers::remote::Interface::Stub Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::providers::remote::Interface::Stub:

## Public Member Functions

| Stub (const core::dbus::Object::Ptr &object)

## Public Attributes

core::dbus::Object::Ptr | object
struct { |
std::shared_ptr< core::dbus::Property< Properties::HasPosition > > has_position |
std::shared_ptr< core::dbus::Property< Properties::HasVelocity > > has_velocity |
std::shared_ptr< core::dbus::Property< Properties::HasHeading > > has_heading |
std::shared_ptr< core::dbus::Property< Properties::RequiresSatellites > > requires_satellites |
std::shared_ptr< core::dbus::Property< Properties::RequiresCellNetwork > > requires_cell_network |
std::shared_ptr< core::dbus::Property< Properties::RequiresDataNetwork > > requires_data_network |
std::shared_ptr< core::dbus::Property< Properties::RequiresMonetarySpending > > requires_monetary_spending |
std::shared_ptr< core::dbus::Property< Properties::ArePositionUpdatesRunning > > are_position_updates_running |
std::shared_ptr< core::dbus::Property< Properties::AreHeadingUpdatesRunning > > are_heading_updates_running |
std::shared_ptr< core::dbus::Property< Properties::AreVelocityUpdatesRunning > > are_velocity_updates_running |
} | properties
struct { |
std::shared_ptr< core::dbus::Signal< Signals::PositionChanged, Signals::PositionChanged::ArgumentType > > position_changed |
std::shared_ptr< core::dbus::Signal< Signals::HeadingChanged, Signals::HeadingChanged::ArgumentType > > heading_changed |
std::shared_ptr< core::dbus::Signal< Signals::VelocityChanged, Signals::VelocityChanged::ArgumentType > > velocity_changed |
} | signals

## Detailed Description

Definition at line 161 of file providers/remote/interface.h.

## Constructor & Destructor Documentation

## Stub()

com::lomiri::location::providers::remote::Interface::Stub::Stub | ( | const core::dbus::Object::Ptr & | object | ) |

inline

Definition at line 165 of file providers/remote/interface.h.

References object, and properties.

## Member Data Documentation

## are_heading_updates_running

std::shared_ptr<core::dbus::Property<Properties::AreHeadingUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Stub::are_heading_updates_running

Definition at line 202 of file providers/remote/interface.h.

## are_position_updates_running

std::shared_ptr<core::dbus::Property<Properties::ArePositionUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Stub::are_position_updates_running

Definition at line 201 of file providers/remote/interface.h.

## are_velocity_updates_running

std::shared_ptr<core::dbus::Property<Properties::AreVelocityUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Stub::are_velocity_updates_running

Definition at line 203 of file providers/remote/interface.h.

## has_heading

std::shared_ptr<core::dbus::Property<Properties::HasHeading> > com::lomiri::location::providers::remote::Interface::Stub::has_heading

Definition at line 196 of file providers/remote/interface.h.

## has_position

std::shared_ptr<core::dbus::Property<Properties::HasPosition> > com::lomiri::location::providers::remote::Interface::Stub::has_position

Definition at line 194 of file providers/remote/interface.h.

## has_velocity

std::shared_ptr<core::dbus::Property<Properties::HasVelocity> > com::lomiri::location::providers::remote::Interface::Stub::has_velocity

Definition at line 195 of file providers/remote/interface.h.

## heading_changed

std::shared_ptr<core::dbus::Signal< Signals::HeadingChanged, Signals::HeadingChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Stub::heading_changed

Definition at line 216 of file providers/remote/interface.h.

## object

core::dbus::Object::Ptr com::lomiri::location::providers::remote::Interface::Stub::object

Definition at line 190 of file providers/remote/interface.h.

Referenced by Stub().

## position_changed

std::shared_ptr<core::dbus::Signal< Signals::PositionChanged, Signals::PositionChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Stub::position_changed

Definition at line 211 of file providers/remote/interface.h.

## [struct]

struct { ... } com::lomiri::location::providers::remote::Interface::Stub::properties

Referenced by Stub().

## requires_cell_network

std::shared_ptr<core::dbus::Property<Properties::RequiresCellNetwork> > com::lomiri::location::providers::remote::Interface::Stub::requires_cell_network

Definition at line 198 of file providers/remote/interface.h.

## requires_data_network

std::shared_ptr<core::dbus::Property<Properties::RequiresDataNetwork> > com::lomiri::location::providers::remote::Interface::Stub::requires_data_network

Definition at line 199 of file providers/remote/interface.h.

## requires_monetary_spending

std::shared_ptr<core::dbus::Property<Properties::RequiresMonetarySpending> > com::lomiri::location::providers::remote::Interface::Stub::requires_monetary_spending

Definition at line 200 of file providers/remote/interface.h.

## requires_satellites

std::shared_ptr<core::dbus::Property<Properties::RequiresSatellites> > com::lomiri::location::providers::remote::Interface::Stub::requires_satellites

Definition at line 197 of file providers/remote/interface.h.

## [struct]

struct { ... } com::lomiri::location::providers::remote::Interface::Stub::signals

## velocity_changed

std::shared_ptr<core::dbus::Signal< Signals::VelocityChanged, Signals::VelocityChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Stub::velocity_changed

Definition at line 221 of file providers/remote/interface.h.

The documentation for this struct was generated from the following file:

- providers/remote/interface.h